Bug 649507 - (python-upgrade-error) [abrt] gnome-applet-timer-2.1.3-1.fc13: timer-applet:29:<module>:ImportError: No module named timerapplet
[abrt] gnome-applet-timer-2.1.3-1.fc13: timer-applet:29:<module>:ImportError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
14
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:ccb055f0
:
: 650017 650254 662436 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-03 16:27 EDT by Gabriel PREDA
Modified: 2012-08-16 18:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (854 bytes, text/plain)
2010-11-03 16:27 EDT, Gabriel PREDA
no flags Details

  None (edit)
Description Gabriel PREDA 2010-11-03 16:27:37 EDT
abrt version: 1.1.13
architecture: x86_64
component: gnome-applet-timer
executable: /usr/lib64/timer-applet/timer-applet
kernel: 2.6.35.6-45.fc14.x86_64
package: gnome-applet-timer-2.1.3-1.fc13
reason: timer-applet:29:<module>:ImportError: No module named timerapplet
release: Fedora release 14 (Laughlin)
time: 1288815597
uid: 500

backtrace
-----
timer-applet:29:<module>:ImportError: No module named timerapplet

Traceback (most recent call last):
  File "/usr/lib64/timer-applet/timer-applet", line 29, in <module>
    from timerapplet import config
ImportError: No module named timerapplet

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/lib64/timer-applet/timer-applet'
gtk: <module 'gtk' from '/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.pyc'>
gettext: <module 'gettext' from '/usr/lib64/python2.7/gettext.pyc'>
__package__: None
sys: <module 'sys' (built-in)>
locale: <module 'locale' from '/usr/lib64/python2.7/locale.pyc'>
path: <module 'posixpath' from '/usr/lib64/python2.7/posixpath.pyc'>
__name__: '__main__'
__doc__: None
gnomeapplet: <module 'gnomeapplet' from '/usr/lib64/python2.7/site-packages/gtk-2.0/gnomeapplet.so'>
Comment 1 Gabriel PREDA 2010-11-03 16:27:40 EDT
Created attachment 457579 [details]
File: backtrace
Comment 2 Christoph Wickert 2010-11-03 16:59:42 EDT
Does this happen every time or only sometimes? Was the X server running? Is the package correctly installed? Please run rpm -V gnome-applet-timer and post the output (if any) here.
Comment 3 Thomas Spura 2010-11-03 18:09:12 EDT
And please post the output of:
"ls /usr/lib/python?.?/site-packages/timerapplet"

(That's part of "is the package correctly installed" from above, because python tries to import that module, which fails.)
Comment 4 Gabriel PREDA 2010-11-04 06:33:31 EDT
[root@acasa ~]# rpm -V gnome-applet-timer
[root@acasa ~]#

[root@acasa ~]# yum list gnome-applet-timer
.......................
Installed Packages
gnome-applet-timer.x86_64        2.1.3-2.fc14       @fedora


[root@acasa ~]# ls /usr/lib/python2.6/site-packages/timerapplet
ls: cannot access /usr/lib/python2.6/site-packages/timerapplet: No such file or directory

[root@acasa ~]# ls /usr/lib/python2.7/site-packages/timerapplet
config.py   config.pyo   core     defs.pyc  __init__.py   __init__.pyo  utils.py   utils.pyo
config.pyc  controllers  defs.py  defs.pyo  __init__.pyc  ui            utils.pyc


---------------------------------------------------
This happened the first time I logged in after upgrade to F14 (from F13).

It asked me to delete or not the applet.
I said "no".
For all further logins this did not happened anymore.
Comment 5 Thomas Spura 2010-11-04 08:04:37 EDT
Then I'm clueless, because the python2.7 module is there, and according to your backtrace, gnome is using the new python2.7 and not the old python2.6 from fc13.

I'd say, if you can reproduce this again, let us know.
If not, I'd ignore this...

Hope that's ok.

Christoph: your opionion?
Comment 6 Thomas Spura 2010-11-05 05:56:29 EDT
*** Bug 650017 has been marked as a duplicate of this bug. ***
Comment 7 Dave Malcolm 2010-11-05 11:28:42 EDT
Both this and bug 650017 involve gnome panel applets that are implented in PyGTK failing to import a module, in both cases on the first time logging into F14 after an upgrade from F13.

CCing gnome-panel maintainer.  Ray: is there some special logic that runs the first time that a panel is run after an upgrade?

I'm not sure if PyGTK panel applets are implement in-process or out-of-process.  If the former, I can envisage a failure mode in which a running gnome-panel process has libpython2.6 linked into it, and this would thus be looking in the "2.6" paths, rather than "2.7".  Though that's pure speculation at this point.
Comment 8 Thomas Spura 2010-11-05 15:22:13 EDT
*** Bug 650254 has been marked as a duplicate of this bug. ***
Comment 9 Fedora Update System 2010-11-06 14:09:16 EDT
gnome-applet-timer-2.1.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnome-applet-timer-2.1.4-1.fc14
Comment 10 Christoph Wickert 2010-11-06 14:12:03 EDT
Can you please try the new version? There also is 2.2 beta at 
http://koji.fedoraproject.org/koji/buildinfo?buildID=195942
Comment 11 Fedora Update System 2010-11-15 17:16:41 EST
gnome-applet-timer-2.1.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Pascal Arnold Varniol 2010-11-17 00:24:32 EST
Package: gmixer-1.3-17.fc13
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Sorry dunno. Crash occurs at startup.
2.
3.
Comment 13 Thomas Spura 2010-11-17 05:59:22 EST
(In reply to comment #12)
> Package: gmixer-1.3-17.fc13

> OS Release: Fedora release 14 (Laughlin)


the fc13 build uses python 2.6 but on fc14 is only python 2.7, so you need to properly update the system and that's it...
Comment 14 Pascal Arnold Varniol 2010-11-17 16:19:28 EST
Package: gmixer-1.3-17.fc13
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. At startup.
2.
3.
Comment 15 Christoph Wickert 2010-11-27 13:32:53 EST
Reassigning to gnome-panel maintainer for further investigation. However I'm not sure if it is a gnome-panel problem since gmixer is not an applet but has a tray icon.

Ray, please take care of comment 7.
Comment 16 Thomas Spura 2010-12-12 17:39:21 EST
*** Bug 662436 has been marked as a duplicate of this bug. ***
Comment 17 Christoph Wickert 2011-05-23 03:33:51 EDT
@Dave: I think the problem is in python itself and not in gnome-panel. We are having similar reports for programs that have nothing to do with the panel, for example in bug 06783. Are you fine with reassigning this bug to python or pygtk2?
Comment 18 Christoph Wickert 2011-06-02 03:51:46 EDT
(In reply to comment #17)
> We are having similar reports for programs that have nothing to do with the 
> panel, for example in bug 06783. 

Sorry, that was supposed to be bug 706783.
Comment 19 Fedora End Of Life 2012-08-16 18:18:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.